ggidev-assign_3(3)

NAME
ggidev-assign_3, ggidev-assign_int_3, ggidev-assign_unsigned_3 : Initialize a triple-int

SYNOPSIS
#include <ggi/internal/triple-int.h>
unsigned *assign_3(unsigned l[3], unsigned r[3]);
unsigned *assign_int_3(unsigned l[3], int r);
unsigned *assign_unsigned_3(unsigned l[3], unsigned r);

DESCRIPTION
assign_3 assigns the value of one existing triple-int r to another triple-int l. assign_int_3 and assign_unsigned_3 assigns the argument r to the least significant position of the triple-int l. assign_int_3 extends the sign, while assign_unsigned_3 does not.

RETURN VALUE
assign_3, assign_int_3 and assign_unsigned_3 all return a pointer to the freshly assigned triple-int x.

EXAMPLES
Assign some values to triple-ints:
unsigned x[3], y[3], z[3];
assign_int_3(x, -42);
assign_unsigned_3(y, 17);
assign_3(z, x);

SEE ALSO
ggidev-triple-int(7)